Reference
Action runs
List Runs
Query Parameters
action_id?|
kind?|
status?|
parent_action_run_id?|
limit?integer
Default
100Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/action-runs"{
"hasNext": true,
"limit": 0,
"offset": 0,
"runs": [
{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"users": {
"property1": {
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
},
"property2": {
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Run
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
concurrencyKey?|
definition?
idempotencyKey?|
kind*string
Discriminator for action capabilities.
Determines which executor runs, what config shape is expected, and how the action is displayed in the UI.
Grouped by domain concern. Legacy values kept for DB compatibility.
Value in
"dlt_extract" | "file_sync" | "duckdb_transform" | "http_request" | "call_agent" | "generate_query" | "explain_schema" | "agent_search" | "agent_fetch_page" | "create_flashboard" | "approval_gate" | "conditional_branch" | "call_automation" | "web_search" | "fetch_page"parentActionRunId?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs" \ -H "Content-Type: application/json" \ -d '{ "kind": "dlt_extract" }'{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Approve Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve"{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Cancel Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Execute Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/execute"{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Run Logs
Path Parameters
run_id*string
Format
uuidQuery Parameters
after?|
Cursor: return entries after this ID
limit?integer
Default
100Range
1 <= value <= 500Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/logs"{
"entries": [
{
"attempt": 0,
"data": {},
"event": "string",
"id": "string",
"level": "info",
"message": "string",
"occurredAt": "2019-08-24T14:15:22Z",
"workerId": "string"
}
],
"hasMore": true,
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Stream Run Logs
Path Parameters
run_id*string
Format
uuidQuery Parameters
after?|
Cursor: start streaming after this ID
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/logs/stream"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Pause Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/pause"{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Reject Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
reason?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/reject" \ -H "Content-Type: application/json" \ -d '{}'{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Resume Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/resume"{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Retry Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/action-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/retry"{
"actionId": "string",
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"definition": {},
"displayStatus": "string",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"interruptCount": 0,
"kind": "dlt_extract",
"parentActionRunId": "string",
"progress": {},
"result": {},
"retryCount": 0,
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "ui",
"triggerSourceId": "string",
"triggerSourceType": "user",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}